#include <iostream>

using namespace std;

int main()
{
    long int N, k = 0, m;
    cin >> N;
    long int x[N], y[N], n[N][N];
    for(long int i = 0; i < N; i++)
    {
        cin >> x[i] >> y[i];
        
    }
    
        for(int i = 0; i < N; i++)
        {
            for(int j = i + 1; j < N; j++)
            {
                n[i][j] = y[i] - ((y[i] - y[j]) / (x[i] - x[j])) * x[i];
                if(n[i][j] == 0)
                {
                    k++;
                }
            }
        }
        
        
        if(k == 2 || k == 1)
        {
            k++;
        }
        cout << k;
    }